Package org.eclipse.jdt.debug.eval

# Interface IEvaluationResult

public interface IEvaluationResult
The result of an evaluation. An evaluation result may contain problems and/or a result value.

Since:
  2.0
See Also:
  - `IJavaValue`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getErrorMessages()`
Returns an array of problem messages.
`Message[]`
`getErrors()`
Deprecated.
use getErrorMessages()
`IEvaluationEngine`
`getEvaluationEngine()`
Returns the evaluation engine used to evaluate the original snippet.
`org.eclipse.debug.core.DebugException`
`getException()`
Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur.
`String`
`getSnippet()`
Returns the snippet that was evaluated.
`IJavaThread`
`getThread()`
Returns the thread in which the evaluation was performed.
`IJavaValue`
`getValue()`
Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed.
`boolean`
`hasErrors()`
Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.
`boolean`
`isTerminated()`
Returns whether this evaluation was terminated before it completed.

## Method Details

### getValue

IJavaValue getValue()
Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed. If the associated evaluation failed, there will be problems, or an exception in this result.

Since 3.5, this method can also return null if the evaluation was terminated before it completed.

Returns:
  the resulting value, possibly `null`

### hasErrors

boolean hasErrors()
Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.

Returns:
  whether there were any problems.
See Also:
  - `getErrors()`
  - `getException()`

### getErrors

@Deprecated Message[] getErrors()
Deprecated.
use getErrorMessages()
Returns an array of problem messages. Each message describes a problem that occurred while compiling the snippet.

Returns:
  compilation error messages, or an empty array if no errors occurred

### getErrorMessages

String[] getErrorMessages()
Returns an array of problem messages. Each message describes a problem that occurred while compiling the snippet.

Returns:
  compilation error messages, or an empty array if no errors occurred
Since:
  2.1

### getSnippet

String getSnippet()
Returns the snippet that was evaluated.

Returns:
  The string code snippet.

### getException

org.eclipse.debug.core.DebugException getException()
Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur. The exception will be a debug exception or a debug exception that wrappers a JDI exception that indicates a problem communicating with the target or with actually performing some action in the target.

Returns:
  The exception that occurred during the evaluation
See Also:
  - `InvocationException`
  - `DebugException`

### getThread

IJavaThread getThread()
Returns the thread in which the evaluation was performed.

Returns:
  the thread in which the evaluation was performed

### getEvaluationEngine

IEvaluationEngine getEvaluationEngine()
Returns the evaluation engine used to evaluate the original snippet.

Returns:
  the evaluation engine used to evaluate the original snippet

### isTerminated

boolean isTerminated()
Returns whether this evaluation was terminated before it completed.

Returns:
  whether terminated.
Since:
  3.5